Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## game.gamestorage.texas.db.estimation
Class GetterDBProjector

    java.lang.Object
      game.gamestorage.texas.db.DBProjector
          game.gamestorage.texas.db.estimation.GetterDBProjector

    public class GetterDBProjector

extends DBProjector

This class holds the statistic relevant data of a player one instance per player and competition

Author:
  Witthold/Korol

Field Summary
`private java.util.HashMap<java.lang.Integer,java.lang.String>` | `competitonPlayers` key: id; value: String alias (playername)
`private java.util.HashMap<java.lang.Integer,int[]>` | `handPlayerMapCC` key: hpm_id; int[0-3] position, cash_init, cash_delta, hand_id
`private java.util.HashMap<java.lang.Integer,int[]>` | `handPlayerMapCO` key: hpm_id; int[0-3] position, cash_init, cash_delta, hand_id
`private java.util.HashMap<java.lang.Integer,int[]>` | `handsCC` hand_ids with sb, bb, ante, finalpot
`private java.util.HashMap<java.lang.Integer,int[]>` | `handsCO` hand_ids with sb, bb, ante, finalpot
`private java.util.HashMap<java.lang.Integer,long[]>` | `handsFirstRoundsAll` hand_ids with round_ids, timestamp
`private java.util.HashMap<java.lang.Integer,long[]>` | `handsFirstRoundsCC` hand_ids with round_ids, timestamp
`private java.util.HashMap<java.lang.Integer,long[]>` | `handsFirstRoundsCO` hand_ids with round_ids, timestamp
`private java.util.HashMap<java.lang.Integer,int[]>` | `holeCards` key: hpm_id; int[0-1] values of card
`private java.util.HashMap<java.lang.Integer,java.lang.Integer>` | `hpmHandsCC` hpm_id, hand_id
`private java.util.HashMap<java.lang.Integer,java.lang.Integer>` | `hpmHandsCO` hpm_id, hand_id
`private java.util.HashMap<java.lang.Integer,long[]>` | `hpmsFirstBetsCC` hpm_ids with long[] id, action, betsize, potsize, timestamp, round_id
`private java.util.HashMap<java.lang.Integer,long[]>` | `hpmsFirstBetsCO` hpm_ids with long[] id, action, betsize, potsize, timestamp, round_id
`private java.util.HashMap<java.lang.Integer,long[]>` | `hpmsPreviousActionsCO` hpm_ids with associated previousActions
`private java.util.HashMap<java.lang.Integer,java.lang.Integer>` | `numActivePlayersCO` hand_id, numActivePlayers
`private java.util.HashMap<java.lang.Integer,long[]>` | `roundsFirstBetsAll` round_ids with long[] id, action, betsize, potsize, timestamp, round_id
`private java.util.HashMap<java.lang.Integer,long[]>` | `roundsFirstBetsCC` round_ids with long[] id, action, betsize, potsize, timestamp, round_id
`private java.util.HashMap<java.lang.Integer,long[]>` | `roundsFirstBetsCO` round_ids with long[] id, action, betsize, potsize, timestamp, round_id

Fields inherited from class game.gamestorage.texas.db.DBProjector
`competition_id, gamedef_id, player_ids, player_names`

Constructor Summary
`GetterDBProjector()` Constructor instanciates fields

Method Summary
`java.util.HashMap<java.lang.Integer,java.lang.String>` | `getCompetitonPlayers()`
`java.util.HashMap<java.lang.Integer,int[]>` | `getHandPlayerMapCC()`
`java.util.HashMap<java.lang.Integer,int[]>` | `getHandPlayerMapCO()`
`java.util.HashMap<java.lang.Integer,int[]>` | `getHandsCO()`
`java.util.HashMap<java.lang.Integer,int[]>` | `getHoleCards()`
`java.util.HashMap<java.lang.Integer,long[]>` | `getHpmsFirstBetsCC()`
`java.util.HashMap<java.lang.Integer,long[]>` | `getHpmsFirstBetsCO()`
`java.util.HashMap<java.lang.Integer,long[]>` | `getHpmsPreviousActionsCO()`
`java.util.HashMap<java.lang.Integer,java.lang.Integer>` | `getNumActivePlayersCO()`
`java.util.HashMap<java.lang.Integer,long[]>` | `getRoundsFirstBetsAll()`
`void` | `setCompetitionPlayers(int competition_id)` set HashMap competitonPlayers with all participations at this competition
`void` | `setFlopData(int player_id, int competition_id, int lastEvaledHandId)` setFlopData set local fields by consulting DB for relevant data range: max one competition, restricted by lastEvaledHandId
`void` | `setPreFlopData(int player_id, int competition_id, int lastEvaledHandId)` setPreFlopData set local fields by consulting DB for relevant data range: max one competition, restricted by lastEvaledHandId
`void` | `setPreFlopShcData(int player_id, int competition_id, int lastEvaledHandId)` setPreFlopShcData set local fields by consulting DB for relevant data range: max one competition, restricted by lastEvaledHandId
`void` | `setRiverData(int player_id, int competition_id, int lastEvaledHandId)` setRiverData set local fields by consulting DB for relevant data range: max one competition, restricted by lastEvaledHandId
`void` | `setTurnData(int player_id, int competition_id, int lastEvaledHandId)` setTurnData set local fields by consulting DB for relevant data range: max one competition, restricted by lastEvaledHandId

Methods inherited from class game.gamestorage.texas.db.DBProjector
`getGamedef_id`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### competitonPlayers

    private java.util.HashMap<java.lang.Integer,java.lang.String> competitonPlayers

  key: id; value: String alias (playername)

### handPlayerMapCO

    private java.util.HashMap<java.lang.Integer,int[]> handPlayerMapCO

  key: hpm_id; int[0-3] position, cash_init, cash_delta, hand_id

### numActivePlayersCO

    private java.util.HashMap<java.lang.Integer,java.lang.Integer> numActivePlayersCO

  hand_id, numActivePlayers

### holeCards

    private java.util.HashMap<java.lang.Integer,int[]> holeCards

  key: hpm_id; int[0-1] values of card

### hpmsPreviousActionsCO

    private java.util.HashMap<java.lang.Integer,long[]> hpmsPreviousActionsCO

  hpm_ids with associated previousActions

### hpmsFirstBetsCO

    private java.util.HashMap<java.lang.Integer,long[]> hpmsFirstBetsCO

  hpm_ids with long[] id, action, betsize, potsize, timestamp, round_id

### handsCO

    private java.util.HashMap<java.lang.Integer,int[]> handsCO

  hand_ids with sb, bb, ante, finalpot

### hpmHandsCO

    private java.util.HashMap<java.lang.Integer,java.lang.Integer> hpmHandsCO

  hpm_id, hand_id

### handsFirstRoundsCO

    private java.util.HashMap<java.lang.Integer,long[]> handsFirstRoundsCO

  hand_ids with round_ids, timestamp

### roundsFirstBetsCO

    private java.util.HashMap<java.lang.Integer,long[]> roundsFirstBetsCO

  round_ids with long[] id, action, betsize, potsize, timestamp, round_id

### handPlayerMapCC

    private java.util.HashMap<java.lang.Integer,int[]> handPlayerMapCC

  key: hpm_id; int[0-3] position, cash_init, cash_delta, hand_id

### handsCC

    private java.util.HashMap<java.lang.Integer,int[]> handsCC

  hand_ids with sb, bb, ante, finalpot

### hpmHandsCC

    private java.util.HashMap<java.lang.Integer,java.lang.Integer> hpmHandsCC

  hpm_id, hand_id

### handsFirstRoundsCC

    private java.util.HashMap<java.lang.Integer,long[]> handsFirstRoundsCC

  hand_ids with round_ids, timestamp

### roundsFirstBetsCC

    private java.util.HashMap<java.lang.Integer,long[]> roundsFirstBetsCC

  round_ids with long[] id, action, betsize, potsize, timestamp, round_id

### hpmsFirstBetsCC

    private java.util.HashMap<java.lang.Integer,long[]> hpmsFirstBetsCC

  hpm_ids with long[] id, action, betsize, potsize, timestamp, round_id

### roundsFirstBetsAll

    private java.util.HashMap<java.lang.Integer,long[]> roundsFirstBetsAll

  round_ids with long[] id, action, betsize, potsize, timestamp, round_id

### handsFirstRoundsAll

    private java.util.HashMap<java.lang.Integer,long[]> handsFirstRoundsAll

  hand_ids with round_ids, timestamp

Constructor Detail

### GetterDBProjector

    public GetterDBProjector()

  Constructor instanciates fields

Method Detail

### setCompetitionPlayers

    public void setCompetitionPlayers(int competition_id)

  set HashMap competitonPlayers with all participations at this competition

  Parameters:
    `competition_id` - already generated by db

### setPreFlopShcData

    public void setPreFlopShcData(int player_id,
                                  int competition_id,
                                  int lastEvaledHandId)

  setPreFlopShcData set local fields by consulting DB for relevant data
  range: max one competition, restricted by lastEvaledHandId

  Parameters:
    `player_id` - already generated by db
    `competition_id` - already generated by db
    `lastEvaledHandId` - already generated by db

### setPreFlopData

    public void setPreFlopData(int player_id,
                               int competition_id,
                               int lastEvaledHandId)

  setPreFlopData set local fields by consulting DB for relevant data
  range: max one competition, restricted by lastEvaledHandId

  Parameters:
    `player_id` - already generated by db
    `competition_id` - already generated by db
    `lastEvaledHandId` - already generated by db

### setFlopData

    public void setFlopData(int player_id,
                            int competition_id,
                            int lastEvaledHandId)

  setFlopData set local fields by consulting DB for relevant data
  range: max one competition, restricted by lastEvaledHandId

  Parameters:
    `player_id` - already generated by db
    `competition_id` - already generated by db
    `lastEvaledHandId` - already generated by db

### setTurnData

    public void setTurnData(int player_id,
                            int competition_id,
                            int lastEvaledHandId)

  setTurnData set local fields by consulting DB for relevant data
  range: max one competition, restricted by lastEvaledHandId

  Parameters:
    `player_id` - already generated by db
    `competition_id` - already generated by db
    `lastEvaledHandId` - already generated by db

### setRiverData

    public void setRiverData(int player_id,
                             int competition_id,
                             int lastEvaledHandId)

  setRiverData set local fields by consulting DB for relevant data
  range: max one competition, restricted by lastEvaledHandId

  Parameters:
    `player_id` - already generated by db
    `competition_id` - already generated by db
    `lastEvaledHandId` - already generated by db

### getCompetitonPlayers

    public java.util.HashMap<java.lang.Integer,java.lang.String> getCompetitonPlayers()

  Returns:
    the players

### getHandPlayerMapCO

    public java.util.HashMap<java.lang.Integer,int[]> getHandPlayerMapCO()

  Returns:
    the handPlayerMapCO

### getNumActivePlayersCO

    public java.util.HashMap<java.lang.Integer,java.lang.Integer> getNumActivePlayersCO()

  Returns:
    the numActivePlayersCO

### getHoleCards

    public java.util.HashMap<java.lang.Integer,int[]> getHoleCards()

  Returns:
    the holeCards

### getHpmsPreviousActionsCO

    public java.util.HashMap<java.lang.Integer,long[]> getHpmsPreviousActionsCO()

  Returns:
    the hpmsPreviousActionsCO

### getHpmsFirstBetsCO

    public java.util.HashMap<java.lang.Integer,long[]> getHpmsFirstBetsCO()

  Returns:
    the hpmsFirstBetsCO

### getHandsCO

    public java.util.HashMap<java.lang.Integer,int[]> getHandsCO()

  Returns:
    the handsCO

### getHandPlayerMapCC

    public java.util.HashMap<java.lang.Integer,int[]> getHandPlayerMapCC()

  Returns:
    the handPlayerMapCC

### getHpmsFirstBetsCC

    public java.util.HashMap<java.lang.Integer,long[]> getHpmsFirstBetsCC()

  Returns:
    the hpmsFirstBetsCC

### getRoundsFirstBetsAll

    public java.util.HashMap<java.lang.Integer,long[]> getRoundsFirstBetsAll()

  Returns:
    the roundsFirstBetsAll

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD